#include <bits/stdc++.h>

using namespace std;
long long N,Q,q;
long long res,br,m;
int p;
long long A[200007],B[200007];

int main()
{
    cin>>N>>Q;
    for(int i=1;i<=N;i++){
        cin>>A[i];
    }
    sort(A+1,A+1+N);
    for(int j=1;j<=Q;j++){
    cin>>B[j];
    }
    if(N%2==0){
        p=((N/2)+1);
    }
    else{
        p=((N+1)/2);
        m++;
    }
        for(int j=1;j<=Q;j++){
            for(int i=1;i<=N;i++){
            if(B[j]==A[i]){
                res=abs(N-i-(i-1));
                break;
            }
            else if(m==1 and B[j]==A[p+1]){
                res=1;
                break;
            }
            else if(B[j]==A[p]){
                res=0;
                break;
        }
    }
    cout<<res<<endl;
}
    return 0;
}